Bug 25236 - superfluous double vertical scrollbar in assertion results view
superfluous double vertical scrollbar in assertion results view
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
1.9.1
PC All
: P3 minor (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2003-12-05 10:30 UTC by J
Modified: 2006-04-29 07:38 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description J 2003-12-05 10:30:57 UTC
I already reported in #25208 upon superfluous horizontal scrollbars
in several listener windows. In the present case, there are two
vertical scrollbars to the right hand side of the assertion results view.

I have ~1000 assertion results.  The outer scrollbar for the whole
assertion results frame defines a region so huge that only ~1/5 of
the scrollbable region is non-empty, the rest is grey.  When in the
upper part (the non grey one), the inner scrollbar and some assertion
results become visible, and the inner scrollbar allows to scroll the
assertion results. It's hard to tell, but the inner scrollbar knob is
maybe 1/10 the size of the scrollable view.

In Motif speak, it looks like JMeter doesn't get some frame
constraints right. The bottom of the assertion results frame should be
linked to the enclosing frame/window's lower border (plus some other
constraints), so that it resizes according to the application's window
size. The currently displayed outer scrollbar should never be necessary.

The view table results gets this mostly right. There, a second (outer)
scrollbar appears only if I make the application's window somewhat
small. Yet IMHO it should appear only when I make it even much smaller
than currently: it still requires a large screen to avoid double scrollbars.

For instance, a vertical scrollbar only appears in the graph results
view if I make it *really* small. Table results should behave similarly.
Same for assertion results.
Comment 1 Jordi Salvat i Alabart 2004-01-23 02:11:12 UTC
Annoying, but minor.
Comment 2 Sebb 2006-04-29 14:38:38 UTC
Fixed in 2.1 branch - finally!